#include "painter.h"
#include "sphere.h"


Painter::Painter( QWidget *parent )
        : QWidget( parent )
{
    setMinimumSize( 500, 355 );

    QPushButton *quit = new QPushButton( "Quit" );
    quit->setFont( QFont( "Times", 14, QFont::Bold ) );
    connect( quit, SIGNAL(clicked()), qApp, SLOT(quit()) );

    sphere = new Sphere(  );
	connect( sphere, SIGNAL(changePos()), SLOT(newPosition( )) );
	connect( sphere, SIGNAL(changeSize()), SLOT(newSize( )) );

    myinit = new QPushButton( "Init" );
    myinit->setFont( QFont( "Times", 14, QFont::Bold ) );
    connect( myinit, SIGNAL(clicked()), sphere, SLOT(initscreen()) );

    stop = new QPushButton( "Stop" );
    stop->setFont( QFont( "Times", 14, QFont::Bold ) );
    connect( stop, SIGNAL(clicked()), sphere, SLOT(stop()) );

    QGridLayout *grid = new QGridLayout( ); 
    grid->addWidget( sphere, 0, 1 );
    // grid->setColumnStretch( 1, 10 );

    messpos = new QLabel(  );
    messpos->setMaximumHeight( 20 );
    messpos->setAlignment( Qt::AlignCenter );

    messize = new QLabel(  );
    messize->setMaximumHeight( 20 );
    messize->setAlignment( Qt::AlignCenter );

    // Labels for the new displays...
    visorMouse = new QLabel(  );
    visorMouse->setMaximumHeight( 20 );
    visorMouse->setText("Mouse:");
    visorMouse->setAlignment( Qt::AlignCenter );

    // Labels for the new displays...
    visorTama = new QLabel(  );
    visorTama->setMaximumHeight( 20 );
    visorTama->setText("Tamao:");
    visorTama->setAlignment( Qt::AlignCenter );

	QVBoxLayout *leftBox = new QVBoxLayout;
	grid->addLayout( leftBox, 0, 0 );
	leftBox->addWidget( quit );
	leftBox->addWidget( myinit );
	leftBox->addWidget( stop );
	leftBox->addWidget(visorMouse);
	leftBox->addWidget( messpos );
	leftBox->addWidget(visorTama);
	leftBox->addWidget( messize );

	setLayout( grid );
}

void Painter::newPosition( )
{
	int mx, my;

	sphere->getPosition( &mx, &my );

    QString s;
	messpos->setText( s.sprintf("%d,%d", mx, my ) );
}

void Painter::newSize( )
{
	int mx, my;

	sphere->getSize( &mx, &my );

    QString s;
	messize->setText( s.sprintf("%d,%d", mx, my ) );
}

